[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.EditText

Edits the text for the node in the associated TreeView control.

## Declaration

Source position: comctrls.pp line 3105

`public function TTreeNode.EditText: Boolean;`

## Function result

True if editing was enabled for the tree node in the method.

## Description

EditText is a Boolean function used to start editing the Text for the tree node in the associated TreeView control. The return value is True when TreeView has been assigned and the value tvsIsEditing is present in the States property for the tree view control.

EditText calls the BeginEditing method in TreeView to configure, display, and activate the editor for the node.

Use EndEdit to close and optionally cancel the editing process in the associated TreeView control.